#!/bin/sh
# USAGE:  runregex.sh
# PURPOSE: Illustrates the functional capabilities of the Generic Log Adapter (GLA) run-time using an example adapter file and sample log file.
# INSTRUCTIONS: When executing in a GLA run-time environment, change the value of the $GLA_HOME environment variable to the absolute path of the unzipped GLA run-time.
# NOTE: When executing in a plug-in (e.g. Eclipse) run-time environment, create a temporary working directory and change the value of the $GLA_HOME environment variable to the 
# absolute path of the new temporary working directory. Furthermore, create a $GLA_HOME/config directory and copy the contents of the com.ibm.etools.logging.adapter.config 
# plug-in to the new $GLA_HOME/config directory. Finally, create a $GLA_HOME/lib directory and copy the following JAR files to the new $GLA_HOME/lib directory:
# Plug-in | JAR
# ---------------------------------------------------
# org.eclipse.hyades.logging.adapter | hgla.jar
# org.eclipse.hyades.logging.core | hlcbe101.jar
# org.eclipse.hyades.logging.core | hlcore.jar
# org.eclipse.hyades.execution.remote | hexr.jar
# org.eclipse.emf.ecore | emf.ecore_2.1.0.jar
# org.eclipse.emf.common | emf.common_2.1.0.jar

GLA_HOME=/home/eclipse/GenericLogAdapter
export GLA_HOME

CONFIG_FILE="$GLA_HOME/config/SAP/LogInfrastructure/TraceFormatter/v1.5/nl/regex_example.adapter"
export CONFIG_FILE

CUR_DIR=`pwd`
export CUR_DIR


cd "$GLA_HOME/config/SAP/LogInfrastructure/TraceFormatter/v1.5/nl"

java -DGLA_HOME="$GLA_HOME" -classpath "$GLA_HOME/lib/glacomponents.jar:$GLA_HOME/lib/hexr.jar:$GLA_HOME/lib/hgla.jar:$GLA_HOME/lib/hglaconfig.jar:$GLA_HOME/lib/hlcore.jar:$GLA_HOME/lib/hlcbe101.jar:$GLA_HOME/lib/emf.ecore_2.1.0.jar:$GLA_HOME/lib/emf.common_2.1.0.jar:$GLA_HOME/lib/hparse.jar:$GLA_HOME/lib/logparsers.jar" org.eclipse.hyades.logging.adapter.Adapter -ac "$CONFIG_FILE" -cc "$CONFIG_FILE"

cd "$CUR_DIR"

